By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
443,908 Members | 1,892 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 443,908 IT Pros & Developers. It's quick & easy.

I need Cryptogrphy in Python please .

P: n/a
Looking around for a Cryptography tool kit, the best recommendations I
found about was for pyCrypto. I try to install it unsuccessfully in my
windowsXP SP2 with python 2.4.3 and I get the following message :
C:\Python24\pycrypto-2.0.1>python setup.py build
running build
running build_py
running build_ext
error: The .NET Framework SDK needs to be installed before building
extensions f
or Python.

I have installed .NET framework latest release.
Unfortunately the pyCrypto project looks abandoned , I couldn't find an
active mailing list and the last release are a couple of year old.

Can some one guide me how to fix the problem above or point me to
another Cyrptography library that I can use easily ?

Thanks.

Oct 3 '06 #1
Share this Question
Share on Google+
6 Replies


P: n/a
"NicolasG" <ni******@gmail.comwrites:
Can some one guide me how to fix the problem above or point me to
another Cyrptography library that I can use easily ?
There are several. What do you want to do with it?
Oct 3 '06 #2

P: n/a
NicolasG wrote:
I have installed .NET framework latest release.
The SDK is different from the framework. ;)
Can some one guide me how to fix the problem above or point me to
another Cyrptography library that I can use easily ?
Prebuilt binaries:
http://www.voidspace.org.uk/python/m...shtml#pycrypto

Ps. The project still looks active to me, and has an active mailing
list:
http://www.amk.ca/python/code/crypto.html

Regards,
Jordan

Oct 3 '06 #3

P: n/a
I have made a site using Karrigell as a web server and I want to
provide cryptography services to the visitors. They should wirte their
text on the site and be able choose different encryption algorithms to
apply on the text .

MonkeeSage wrote:
NicolasG wrote:
I have installed .NET framework latest release.

The SDK is different from the framework. ;)
How can I fix this ?
>
Can some one guide me how to fix the problem above or point me to
another Cyrptography library that I can use easily ?

Prebuilt binaries:
http://www.voidspace.org.uk/python/m...shtml#pycrypto
I need the modules source to use it with my web server.
Ps. The project still looks active to me, and has an active mailing
list:
http://www.amk.ca/python/code/crypto.html
The last messages in the mailing list was on august (only one message)
and the author does said that he does not reply to the this list , he
point if anyone have an issue to use the bug trucker at sourceforge
which looks not helpful ...

cheers..
Jordan
Oct 3 '06 #4

P: n/a
"NicolasG" <ni******@gmail.comwrites:
I have made a site using Karrigell as a web server and I want to
provide cryptography services to the visitors. They should wirte their
text on the site and be able choose different encryption algorithms to
apply on the text .
Um, why? Just as an exercise? If that's the case, you might enjoy
implementing the algorithms in Python. They'd be slow but that might
not matter.
Oct 3 '06 #5

P: n/a
NicolasG wrote:
I need the modules source to use it with my web server.
I thought you were trying to compile and install the pyCrypto
extension? If that is the case, then download the installer from the
page I linked to.

Regards,
Jordan

Oct 3 '06 #6

P: n/a
hg
NicolasG wrote:
Looking around for a Cryptography tool kit, the best recommendations I
found about was for pyCrypto. I try to install it unsuccessfully in my
windowsXP SP2 with python 2.4.3 and I get the following message :
C:\Python24\pycrypto-2.0.1>python setup.py build
running build
running build_py
running build_ext
error: The .NET Framework SDK needs to be installed before building
extensions f
or Python.

I have installed .NET framework latest release.
Unfortunately the pyCrypto project looks abandoned , I couldn't find an
active mailing list and the last release are a couple of year old.

Can some one guide me how to fix the problem above or point me to
another Cyrptography library that I can use easily ?

Thanks.

I use pycrypto under *nix and Windows. Under windows, I compile it with
VC++ 2003 without any problem.

hg
Oct 3 '06 #7

This discussion thread is closed

Replies have been disabled for this discussion.